'''Created Nov 17, 2021 Levi'''

import os
from time import sleep
from threading import Thread

import keyboard as kb
import requests
from selenium import webdriver
from selenium.webdriver import ChromeOptions
# from selenium.webdriver.common.alert import Alert
from selenium.webdriver.common.by import By
from selenium.webdriver.support.wait import WebDriverWait

def accept_cert():
    sleep(3)
    kb.press_and_release('enter')
    sleep(4)
    kb.write(os.getenv('PKCS11PIN'), 0.05)
    sleep(1)
    kb.press_and_release('enter')


url = 'https://webserviced.anaf.ro/SPVWS2/rest/listaMesaje?zile=10'
url2 = 'https://www.anaf.ro/auth_status.html'
logout = '//*[@id="logout_certificat"]/a'
thread = Thread(target=accept_cert, args=())
thread.start()

chrome_options = ChromeOptions()
chrome_options.add_argument('--disable-infobars')
chrome_options.add_experimental_option('excludeSwitches', ['enable-automation'])
chrome_options.binary_location = 'C:/Program Files/BraveSoftware/Brave-Browser/Application/brave.exe'

driver = webdriver.Chrome(options=chrome_options)
# alert = Alert(driver)


driver.get(url)
sleep(5)
dr_cookies = driver.get_cookies()
cookie = {}
for cookies in dr_cookies:
    if 'MRHSession' in cookies['name'] or 'LastMRH_Session' in cookies['name']:
        cookie.update({cookies['name']: cookies['value']})
        cookie.update({cookies['name']: cookies['value']})
print(cookie)
# sleep(5)
# alert.accept()
# WebDriverWait(driver, 5).until(lambda driver: driver.find_element(By.XPATH, '//*[@id="logout_certificat"]/a')).click()
sleep(3)
driver.close()
sleep(2)

response = requests.get(url, cookies=cookie)
msg_list = response.json()['mesaje']
for msg in msg_list:
    print(msg['tip'], msg['cif'])
# print(r.json())
